### Function

# Phosh shell_get_primary_monitor

since: 0

#### Declaration [src]

    PhoshMonitor*
    phosh_shell_get_primary_monitor (
      PhoshShell* self
    )

#### Description

No description available.

Available since: 0

This function is not directly available to language bindings.

#### Parameters

`self`

  Type: `PhoshShell*`

  The shell.

  The data is owned by the caller of the function.

#### Return value

Type: `PhoshMonitor`

The primary monitor or `NULL` if there currently are no outputs.

The data is owned by the called function.
The return value can be `NULL`.